### Function

# Soup cookies_from_response

#### Declaration [src]

    GSList*
    soup_cookies_from_response (
      SoupMessage* msg
    )

#### Description [src]

Parses `msg`‘s Set-Cookie response headers and returns a `GSList` of `SoupCookie`s.

Cookies that do not specify “path” or “domain” attributes will have their values defaulted from `msg`.

#### Parameters

`msg` | `SoupMessage`
| A `SoupMessage` containing a “Set-Cookie” response header.
| The data is owned by the caller of the function.

#### Return value

Returns: | A list of `SoupCookie*`
| A `GSList` of `SoupCookie`s, which can be freed with `soup_cookie_free()`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.